export { promiseWithResolvers, type PromiseWithResolvers };
declare const promiseWithResolvers: <T>() => PromiseWithResolvers<T>;
type PromiseWithResolvers<T> = {
    promise: Promise<T>;
    resolve(value: T): void;
    reject(reason?: unknown): void;
};
