"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRefWithInitialValue = useRefWithInitialValue;
const react_1 = require("react");
function useRefWithInitialValue(initialValueFn) {
    const isRefInitializedRef = (0, react_1.useRef)();
    const ref = (0, react_1.useRef)();
    if (!isRefInitializedRef.current) {
        isRefInitializedRef.current = true;
        ref.current = initialValueFn();
    }
    const refNonNull = ref;
    return refNonNull;
}
//# sourceMappingURL=useRefWithInitialValue.js.map