export { IterableChannel };
declare class IterableChannel<TVal> {
    #private;
    put(value: TVal): void;
    close(): void;
    iterable: {
        [Symbol.asyncIterator](): {
            next(): Promise<IteratorResult<TVal, void>>;
            return(): Promise<IteratorReturnResult<void>>;
        };
    };
}
